log4cplus::thread::AbstractThread Class Referenceabstract

There are many cross-platform C++ Threading libraries. More...

`#include <threads.h>`

Inheritance diagram for log4cplus::thread::AbstractThread:
[legend]
Collaboration diagram for log4cplus::thread::AbstractThread:
[legend]

## Public Member Functions

| AbstractThread ()
| AbstractThread (const AbstractThread &)=delete
AbstractThread & | operator= (const AbstractThread &)=delete
bool | isRunning () const
virtual void | start ()
void | join () const
virtual void | run ()=0
Public Member Functions inherited from log4cplus::helpers::SharedObject
void | addReference () const LOG4CPLUS_NOEXCEPT
void | removeReference () const

## Protected Member Functions

virtual | ~AbstractThread ()
Protected Member Functions inherited from log4cplus::helpers::SharedObject
| SharedObject ()
| SharedObject (const SharedObject &)
| SharedObject (SharedObject &&)
virtual | ~SharedObject ()
SharedObject & | operator= (const SharedObject &) LOG4CPLUS_NOEXCEPT
SharedObject & | operator= (SharedObject &&) LOG4CPLUS_NOEXCEPT

## Additional Inherited Members

Public Attributes inherited from log4cplus::helpers::SharedObject
thread::Mutex | access_mutex

## Detailed Description

There are many cross-platform C++ Threading libraries.

The goal of this class is not to replace (or match in functionality) those libraries. The goal of this class is to provide a simple Threading class with basic functionality.

Definition at line 75 of file threads.h.

## Constructor & Destructor Documentation

## AbstractThread() [1/2]

log4cplus::thread::AbstractThread::AbstractThread | ( |  | ) |

Referenced by AbstractThread(), and operator=().

## AbstractThread() [2/2]

log4cplus::thread::AbstractThread::AbstractThread | ( | const AbstractThread & |  | ) |

delete

References AbstractThread().

## ~AbstractThread()

virtual log4cplus::thread::AbstractThread::~AbstractThread | ( |  | ) |

protected virtual

## Member Function Documentation

## isRunning()

bool log4cplus::thread::AbstractThread::isRunning | ( |  | ) | const

## join()

void log4cplus::thread::AbstractThread::join | ( |  | ) | const

## operator=()

AbstractThread & log4cplus::thread::AbstractThread::operator= | ( | const AbstractThread & |  | ) |

delete

References AbstractThread().

## run()

virtual void log4cplus::thread::AbstractThread::run | ( |  | ) |

pure virtual

Implemented in log4cplus::helpers::ConnectorThread.

## start()

virtual void log4cplus::thread::AbstractThread::start | ( |  | ) |

virtual

The documentation for this class was generated from the following file:

- threads.h